## enum4linux-ng 1.3.7

=== requirements.txt ===
impacket>=0.9.21
ldap3
PyYAML>=5.1

## enum4linux-ng 1.3.4

=== debian/changelog ===
enum4linux-ng (1.3.4-0parrot1) lory-updates; urgency=medium

  * New upstream version 1.3.4

 -- Dario "danterolle" Camonita <danterolle@parrotsec.org>  Fri, 13 Dec 2024 15:06:54 +0100

enum4linux-ng (1.3.3-1parrot1) stable; urgency=medium

  * New upstream version 1.3.3

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Thu, 27 Jun 2024 19:35:16 +0700

enum4linux-ng (1.3.2-1parrot2) lory; urgency=medium

  * Add info of the author to copyright
  * Add Watch file

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Wed, 07 Feb 2024 18:30:15 +0700

enum4linux-ng (1.3.2-1parrot1) unstable; urgency=medium

  * Initial release.

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Tue, 30 Jan 2024 08:20:13 +0700

=== debian/control ===
Source: enum4linux-ng
Section: devel
Priority: optional
Maintainer: Nong Hoang Tu <dmknght@parrotsec.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
#Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.2
Homepage: https://github.com/cddmp/enum4linux-ng
#Vcs-Browser: https://salsa.debian.org/debian/enum4linux-ng
#Vcs-Git: https://salsa.debian.org/debian/enum4linux-ng.git

Package: enum4linux-ng
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Suggests:
 python-enum4linux-ng-doc,
Description: Next generation version of enum4linux
 A rewrite of Mark Lowe's (former Portcullis Labs now
 Cisco CX Security Labs) enum4linux.pl, a tool for
 enumerating information from Windows and Samba systems,
 aimed for security professionals and CTF players.
 The tool is mainly a wrapper around the Samba tools
 nmblookup, net, rpcclient and smbclient

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=enum4linux-ng

%:
	dh $@ --buildsystem=pybuild
override_dh_autoreconf_clean:
#override_dh_clean:
override_dh_auto_clean:

=== debian/watch ===
version=4
https://github.com/cddmp/enum4linux-ng/tags .*/v(\d.+)\.tar\.gz

## enum4linux-ng 1.3.5

=== debian/changelog ===
enum4linux-ng (1.3.5-0kali1) kali-dev; urgency=medium

  * New upstream version 1.3.5

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 25 Aug 2025 10:15:21 +0200

enum4linux-ng (1.3.4-0kali1) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * d/upstream: Add upstream metadata

  [ Daniel Ruiz de Alegría ]
  * New upstream version 1.3.4

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 05 Aug 2024 12:11:06 +0200

enum4linux-ng (1.3.3-0kali1) kali-dev; urgency=medium

  * New upstream version 1.3.3

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 15 Apr 2024 23:00:13 +0200

enum4linux-ng (1.3.2-0kali1) kali-dev; urgency=medium

  * Use correct dependency for PyYAML
  * New upstream version 1.3.2

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 03 Nov 2023 10:36:56 +0100

enum4linux-ng (1.3.1-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Daniel Ruiz de Alegría <daniel@drasite.com>  Sun, 29 Oct 2023 21:27:43 +0100

=== debian/control ===
Source: enum4linux-ng
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Daniel Ruiz de Alegría <daniruiz@kali.org>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-impacket,
               python3-ldap3,
               python3-yaml,
               python3-setuptools,
Standards-Version: 4.6.2
Homepage: https://github.com/cddmp/enum4linux-ng
Vcs-Browser: https://gitlab.com/kalilinux/packages/enum4linux-ng
Vcs-Git: https://gitlab.com/kalilinux/packages/enum4linux-ng.git

Package: enum4linux-ng
Architecture: all
Multi-Arch: foreign
Depends: python3,
         python3-impacket,
         python3-ldap3,
         python3-yaml,
         smbclient,
         samba-common-bin,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Next generation version of enum4linux
 Next generation version of enum4linux (a Windows/Samba enumeration tool) with
 additional features like JSON/YAML export. Aimed for security professionals and
 CTF players.

## enum4linux-ng 1.3.7

=== debian/changelog ===
enum4linux-ng (1.3.7-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control

  [ Daniel Ruiz de Alegría ]
  * New upstream version 1.3.7

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 30 Sep 2025 11:35:36 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
 Uploaders: Daniel Ruiz de Alegría <daniruiz@kali.org>,
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:

=== debian/tests/control ===
Tests: runtests.sh
Depends: impacket-scripts, netcat-traditional, @
Restrictions: needs-root, isolation-container, breaks-testbed

=== debian/watch ===
version=4
opts="filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%" \
https://github.com/cddmp/enum4linux-ng/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## enum4linux-ng 1.3.10

=== debian/changelog ===
enum4linux-ng (1.3.10-0kali1) kali-dev; urgency=medium

  * New upstream version 1.3.10
  * Update debian/watch to version 5

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 27 Feb 2026 09:07:22 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-ldap3,
                python3-yaml,
                python3-setuptools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/cddmp/enum4linux-ng
 Vcs-Browser: https://gitlab.com/kalilinux/packages/enum4linux-ng
 Vcs-Git: https://gitlab.com/kalilinux/packages/enum4linux-ng.git

=== debian/watch ===
Version: 5

Template: Github
Owner: cddmp
Project: enum4linux-ng
